Package ru.bitel.bgbilling.kernel.tariff.server.bean

# Class TariffLabelManager

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.server.bean.TariffLabelManager

public class TariffLabelManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `TABLE_TARIFF_LABEL`
  `protected static final String`
  `TABLE_TARIFF_LABEL_LINK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffLabelManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getTariffIdsByLabelId(int labelId)`
  Получить коды тарифов имеющих заданную метку
  `Set<Integer>`
  `getTariffLabelIds(int tariffPlanId)`
  `List<TariffLabelItem>`
  `getTariffLabelItemList()`
  `void`
  `removeTariffLabelItem(int tariffLabelItemId)`
  `void`
  `setTariffLabelIds(int tariffPlanId, Set<Integer> labelIds)`
  `void`
  `updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_TARIFF_LABEL

    protected static final String TABLE_TARIFF_LABEL
    See Also:
      - Constant Field Values

  - ### TABLE_TARIFF_LABEL_LINK

    protected static final String TABLE_TARIFF_LABEL_LINK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TariffLabelManager

    public TariffLabelManager(Connection con)

- ## Method Details

  - ### getTariffLabelItemList

    public List<TariffLabelItem> getTariffLabelItemList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffLabelIds

    public Set<Integer> getTariffLabelIds(int tariffPlanId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTariffIdsByLabelId

    public Set<Integer> getTariffIdsByLabelId(int labelId) throws ru.bitel.bgbilling.common.BGException
    Получить коды тарифов имеющих заданную метку
    Parameters:
      `labelId` - - код метки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setTariffLabelIds

    public void setTariffLabelIds(int tariffPlanId, Set<Integer> labelIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTariffLabelTreeItem

    public void updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeTariffLabelItem

    public void removeTariffLabelItem(int tariffLabelItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`